<script>
import i18n from './lang/index'

import checkappupdate from 'common/checkappupdate.js'
export default {
  onLaunch: function () {
		// #ifdef APP-PLUS
    plus.navigator.setFullscreen(true);
    plus.screen.lockOrientation('landscape-primary');
		
		const fn = () => {
		    checkappupdate.check({
		    		title: i18n.t('检测到有新版本！'),
		    		content: i18n.t('请升级app到最新版本！'),
		    		canceltext: i18n.t('暂不升级'),
		    		oktext: i18n.t('立即升级')
		    })
		    return fn    // 函数中返回自身
		}
		setInterval(fn(), 3600 * 1000)
		// #endif
  },
  //把想要全局的数据放在globalData对象里，globalData是uniapp的不可以自定义命名。
  globalData: {
    printSocket: null
  },
  onShow: function () {},
  onHide: function () {}
};
</script>

<style lang="scss">
/*每个页面公共css */
@import '@/uview-ui/index.scss';
@import '@/static/css/global.scss';
::v-deep .uni-select__selector-scroll {
  max-height: 120px !important;
}

.uni-date-picker__container {
  height: 400px !important;
  z-index: 50000 !important;
  position: absolute !important;
}

::v-deep .uni-pagination__num-tag {
  width: 60rpx !important;
  height: 60rpx !important;
}
</style>
